import { Registry } from '../types';
import Set from '../codec/Set';
/**
 * @name IdentityFields
 * @description
 * Encoder/Decoder class fo registry IdentityFields
 */
export default class IdentityFields extends Set {
    constructor(registry: Registry, value?: any);
    /**
     * @description The length of the value when encoded as a Uint8Array
     */
    get encodedLength(): number;
    /**
     * @description Encodes the value as a Uint8Array as per the SCALE specifications
     */
    toU8a(): Uint8Array;
}
